[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Collimator_linear` Component

A simple analytical Soller collimator (with triangular transmission).

## Identification

- Author: Kristian Nielsen
- Origin: Risoe
- Date: August 1998
- Version: 1.13
- Modification history:
  - GA, June 1999, added transmission

## Description

    Soller collimator with rectangular opening and specified length. The
    transmission function is an average and does not utilize knowledge of the
    actual neutron trajectory. A zero divergence disables collimation (then the
    component works as a double slit).

    Example: Soller(xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1,
              len=0.25, divergence=40,transmission=0.7)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
xmin | m | Lower x bound on slits |
xmax | m | Upper x bound on slits |
ymin | m | Lower y bound on slits |
ymax | m | Upper y bound on slits |
len | m | Distance between slits |
divergence | minutes of arc | Divergence angle (calculated as atan(d/len), where d is the blade spacing) | 40
transmission | 1 | transmission of Soller (0<=t<=1) | 1

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
slope |  |  |

## Links

- Source code for `Collimator_linear.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]